FileNotFoundError: [Errno 2] No such file or directory: ‘/home/fmriprep/.cache’

fmriprep

#1

I ran the new image and I receive permission denied error.

/home/oad4/scratch60/kpeBIDS /home/oad4/scratch60/output2 \

participant
–skip_bids_validation
–fs-license-file /home/oad4/freesurferLicense/license.txt
-w /home/oad4/scratch60/work
–nthreads 8
–ignore slicetiming
–participant_label 1223
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can’t resolve package from spec or package, falling back on name and path
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can’t resolve package from spec or package, falling back on name and path
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can’t resolve package from spec or package, falling back on name and path
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/importlib/_bootstrap.py:219: ImportWarning: can’t resolve package from spec or package, falling back on name and path
return f(*args, **kwds)
/usr/local/miniconda/lib/python3.7/site-packages/nilearn/datasets/neurovault.py:16: DeprecationWarning: Using or importing the ABCs from ‘collections’ instead of from ‘collections.abc’ is deprecated, and in 3.8 it will stop working
from collections import Container
/usr/local/miniconda/lib/python3.7/site-packages/templateflow/conf/init.py:22: ResourceWarning: TemplateFlow: repository not found at /home/fmriprep/.cache/templateflow. Populating a TemplateFlow stub.
If the path reported above is not the desired location for Templateflow, please set the TEMPLATEFLOW_HOME environment variable.

warn(_msg, ResourceWarning)
/usr/local/miniconda/lib/python3.7/site-packages/datalad/utils.py:75: DeprecationWarning: dist() and linux_distribution() functions are deprecated in Python 3.5
= platform.linux_distribution()[:2]
/usr/local/miniconda/lib/python3.7/site-packages/datalad/utils.py:903: DeprecationWarning: Using or importing the ABCs from ‘collections’ instead of from ‘collections.abc’ is deprecated, and in 3.8 it will stop working
is_decorating = not kwargs and len(args) == 1 and isinstance(args[0], collections.Callable)
/usr/local/miniconda/lib/python3.7/site-packages/datalad/support/param.py:30: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
_KNOWN_ARGS = getargspec(argparse.Action.init)[0] + [‘action’]
/usr/local/miniconda/lib/python3.7/site-packages/datalad/interface/base.py:321: DeprecationWarning: inspect.getargspec() is deprecated, use inspect.signature() or inspect.getfullargspec()
args, varargs, varkw, defaults = getargspec(func)
Process Process-2:
Traceback (most recent call last):
File “/usr/local/miniconda/lib/python3.7/pathlib.py”, line 1241, in mkdir
self._accessor.mkdir(self, mode)
FileNotFoundError: [Errno 2] No such file or directory: ‘/home/fmriprep/.cache’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/miniconda/lib/python3.7/multiprocessing/process.py”, line 297, in _bootstrap
self.run()
File “/usr/local/miniconda/lib/python3.7/multiprocessing/process.py”, line 99, in run
self._target(*self._args, **self._kwargs)
File “/usr/local/miniconda/lib/python3.7/site-packages/fmriprep/cli/run.py”, line 564, in build_workflow
from …workflows.base import init_fmriprep_wf
File “/usr/local/miniconda/lib/python3.7/site-packages/fmriprep/workflows/base.py”, line 24, in
from niworkflows.interfaces.bids import (
File “/usr/local/miniconda/lib/python3.7/site-packages/niworkflows/interfaces/init.py”, line 9, in
from .registration import (FLIRTRPT as FLIRT,
File “/usr/local/miniconda/lib/python3.7/site-packages/niworkflows/interfaces/registration.py”, line 25, in
from .mni import (
File “/usr/local/miniconda/lib/python3.7/site-packages/niworkflows/interfaces/mni.py”, line 20, in
from templateflow.api import get as get_template
File “/usr/local/miniconda/lib/python3.7/site-packages/templateflow/api.py”, line 6, in
from .conf import TF_LAYOUT, TF_S3_ROOT
File “/usr/local/miniconda/lib/python3.7/site-packages/templateflow/conf/init.py”, line 32, in
TF_HOME.parent.mkdir(exist_ok=True, parents=True)
File “/usr/local/miniconda/lib/python3.7/pathlib.py”, line 1245, in mkdir
self.parent.mkdir(parents=True, exist_ok=True)
File “/usr/local/miniconda/lib/python3.7/pathlib.py”, line 1241, in mkdir
self._accessor.mkdir(self, mode)
PermissionError: [Errno 13] Permission denied: ‘/home/fmriprep’

I’m not sure if its the same issue exactly.


fMRIPrep 1.3.x on Singularity - git-annex permission errors
Datalad Error in 1.3.0.post2, libc/kernel mismatch
#2

Sorry for that - working on a fix.


#3

Could you try the filo/fmriprep:templateflowhomefix image (just landed in docker hub)?


#4

As I’m a docker/singularity newbie - should I just rebuild singularity image or check it manually?


#5

It depends on your system - how did you build/obtained your previous image?


#6

Singularity build…


#7

Try:

SINGULARITY_DISABLE_CACHE=True singularity build /tmp/test_fmriprep_image.simg docker://filo/fmriprep:templateflowhomefix


#8

It works.
Thank you!